xcb_xkb_select_events(3)

NAME
xcb_xkb_select_events -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_void_cookie_t xcb_xkb_select_events(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec, uint16_t affectWhich, uint16_t clear, uint16_t selectAll, uint16_t affectMap, uint16_t map, const void *details);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

affectWhich
    TODO: NOT YET DOCUMENTED.

clear
    TODO: NOT YET DOCUMENTED.

selectAll
    TODO: NOT YET DOCUMENTED.

affectMap
    TODO: NOT YET DOCUMENTED.

map TODO: NOT YET DOCUMENTED.

details
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xkb_select_events_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.